Skip to main content
POST
Upload a SQLite database file to a database created with seed.type = "database_upload".
This endpoint is on the database hostname (e.g., my-db-my-org.turso.io), not api.turso.tech.
You must first create a database with seed.type = "database_upload".
This endpoint requires a database token, not a platform API token. You can create a database token after creating the database.

Headers

Request Body

The raw binary SQLite database file.

Database File Requirements

The SQLite database file must meet these requirements:
  • Journal mode: WAL (PRAGMA journal_mode = WAL)
  • Page size: 4096 bytes (PRAGMA page_size = 4096)
  • Auto vacuum: Disabled (PRAGMA auto_vacuum = 0)
  • Encoding: UTF-8 (PRAGMA encoding = 'UTF-8')
For encrypted databases, you must also set the reserved bytes to match the cipher:

Responses

Success

Returns an empty response with status 200 OK on success.

Errors